#ifndef PANTALLA_H
#define PANTALLA_H

class Pantalla {
public:
	virtual void init();

	virtual void special(int key, int x, int y);

	virtual void keyboard(unsigned char key, int x, int y);

	virtual void display();

	virtual void timer();

	virtual void reshape(int width, int height);

	virtual void mouse(int button, int state, int x, int y);
	
	virtual void motion(int x, int y);
};

#endif
